moosic_1.5.6-1_all.deb


Advertisement

Description

moosic - Daemon/client combo to easily queue music files for playing

Property Value
Distribution Ubuntu 12.04 LTS (Precise Pangolin)
Repository Ubuntu Universe amd64
Package name moosic
Package version 1.5.6
Package release 1
Package architecture all
Package type deb
Installed size 473 B
Download size 127.54 KB
Official Mirror archive.ubuntu.com
Moosic is a music player that focuses on easy playlist management. It consists
of a server process that maintains a queue of music files to play and a client
program which sends commands to the server. The server continually runs through
its playlist, popping items off the top of the list and playing each with an
external program. The client is a simple command-line utility which allows you
to perform powerful operations upon the server's queue, including the addition
of whole directory trees, automatic shuffling, and item removal according to
regular expressions. The server comes configured to play MP3, Ogg, MIDI, MOD,
and WAV files.

Alternatives

Package Version Architecture Repository
moosic_1.5.6-1_all.deb 1.5.6 all Ubuntu Universe
moosic - - -

Requires

Name Value
python >= 2.7.1-0ubuntu2
python << 2.8
python2.7 -

Download

Type URL
Binary Package moosic_1.5.6-1_all.deb
Source Package moosic

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install moosic deb package:
    # sudo apt-get install moosic

Files

Path
/etc/bash_completion.d/moosic
/usr/bin/moosic
/usr/bin/moosicd
/usr/lib/python2.7/dist-packages/moosic-1.5.6.egg-info
/usr/lib/python2.7/dist-packages/moosic/__init__.py
/usr/lib/python2.7/dist-packages/moosic/utilities.py
/usr/lib/python2.7/dist-packages/moosic/client/__init__.py
/usr/lib/python2.7/dist-packages/moosic/client/factory.py
/usr/lib/python2.7/dist-packages/moosic/client/cli/__init__.py
/usr/lib/python2.7/dist-packages/moosic/client/cli/dispatcher.py
/usr/lib/python2.7/dist-packages/moosic/client/cli/main.py
/usr/lib/python2.7/dist-packages/moosic/server/__init__.py
/usr/lib/python2.7/dist-packages/moosic/server/daemonize.py
/usr/lib/python2.7/dist-packages/moosic/server/main.py
/usr/lib/python2.7/dist-packages/moosic/server/methods.py
/usr/lib/python2.7/dist-packages/moosic/server/support.py
/usr/lib/python2.7/dist-packages/moosic/server/xmlrpc_registry.py
/usr/share/doc/moosic/History.txt.gz
/usr/share/doc/moosic/Moosic_API.txt.gz
/usr/share/doc/moosic/NEWS.gz
/usr/share/doc/moosic/README.txt.gz
/usr/share/doc/moosic/Todo
/usr/share/doc/moosic/changelog.Debian.gz
/usr/share/doc/moosic/copyright
/usr/share/doc/moosic/moosic_hackers.txt.gz
/usr/share/doc/moosic/examples/server_config.gz
/usr/share/doc/moosic/html/Moosic_API.html
/usr/share/doc/moosic/html/moosic.html
/usr/share/doc/moosic/html/moosicd.html
/usr/share/man/man1/moosic.1.gz
/usr/share/man/man1/moosicd.1.gz
/usr/share/man/man3/Moosic_API.3.gz
/usr/share/pyshared/moosic-1.5.6.egg-info
/usr/share/pyshared/moosic/__init__.py
/usr/share/pyshared/moosic/utilities.py
/usr/share/pyshared/moosic/client/__init__.py
/usr/share/pyshared/moosic/client/factory.py
/usr/share/pyshared/moosic/client/cli/__init__.py
/usr/share/pyshared/moosic/client/cli/dispatcher.py
/usr/share/pyshared/moosic/client/cli/main.py
/usr/share/pyshared/moosic/server/__init__.py
/usr/share/pyshared/moosic/server/daemonize.py
/usr/share/pyshared/moosic/server/main.py
/usr/share/pyshared/moosic/server/methods.py
/usr/share/pyshared/moosic/server/support.py
/usr/share/pyshared/moosic/server/xmlrpc_registry.py

Changelog

2011-11-06 - Arto Jantunen <viiru@debian.org>
moosic (1.5.6-1) unstable; urgency=low
* New upstream version 1.5.6
* Remove all patches (applied upstream)
* Update debian/copyright for the upstream license change (GPL ->
Unlicense)
* Upstream has fixed the compatibility problems, reduce required
Python version back to 2.4
2011-09-22 - Arto Jantunen <viiru@debian.org>
moosic (1.5.5-3) unstable; urgency=low
* Add patch to use subprocess.PIPE instead of PIPE in dispatcher.py
(Closes: #640113)
2011-08-24 - Arto Jantunen <viiru@debian.org>
moosic (1.5.5-2) unstable; urgency=high
* Urgency=high to speed up testing migration, 1.5.5-1 does not work 
at all
* Require Python 2.7 to deal with incompatible changes to xmlrpclib
(Closes: #639091)
* Fix typo in debian/rules (the bash completion file was getting 
installed as an example)
* Apparently current debhelper thinks that doc/History.txt is more 
likely to be the upstream changelog than ChangeLog, override it
2011-08-04 - Arto Jantunen <viiru@debian.org>
moosic (1.5.5-1) unstable; urgency=low
* New upstream version 1.5.5
* Remove patch 0001, applied upstream
2011-06-14 - Arto Jantunen <viiru@debian.org>
moosic (1.5.4-7) unstable; urgency=low
* Transition to dh_python2
* Transition to debhelper 8
* Update Standards-Version from 3.8.4 to 3.9.2.0, no changes
* Refresh patch 0001 to match the way current gbp-pq generates it
* Apply patch from Omari Norman to fix race condition in the wipe
command (Closes: #630407)
* Apply patch from Omari Norman to respect the ignore-case option
in the goto and gobackto commands (Closes: #630408)
* Remove extra copy of the bash completion file from debian/
* Do not install the bash completion file as an example
2010-05-27 - Arto Jantunen <viiru@debian.org>
moosic (1.5.4-6) unstable; urgency=low
* Build-depend on python instead of python-dev, thanks lintian
* Updated Standars-Version to 3.8.4, no changes
* Convert to source forma 3.0 (quilt)
* Add patch to remove some unneeded imports, avoids warning from
Python 2.6 and also fixes LP: #368868
2009-10-09 - Arto Jantunen <viiru@debian.org>
moosic (1.5.4-5) unstable; urgency=low
* The "Bah" release
* Updated Standards-Version to 3.8.0
* Build-depend on debhelper (>= 7.0.50) for dh overrides
2009-07-29 - Arto Jantunen <viiru@debian.org>
moosic (1.5.4-4) unstable; urgency=low
* The "Has it been two years already?" release
* Updated Standards-Version from 3.7.2.2 to 3.8.2.0, incredibly no
changes
* Updated to debhelper 7, and the dh-tool.
* Updated copyright-file and added ${misc:Depends} to clear some 
lintian warnings
* Added rules to work around the fact that the upstream tarball 
includes generated documentation.
* Added watch file
2007-10-27 - Arto Jantunen <viiru@debian.org>
moosic (1.5.4-3) unstable; urgency=low
* Moved to python-support, modified control and rules to fit, 
removed pycompat and pyversions (Closes: #445400).
2007-10-25 - Arto Jantunen <viiru@debian.org>
moosic (1.5.4-2) unstable; urgency=low
* Changed XS-Python-Version to all (Closes: #445400).
* Updated Standards-Version to 3.7.2.2, no changes.

See Also

Package Description
moovida-plugins-bad_1.0.9+bzr1614-1ubuntu1_all.deb Moovida plugins from the "bad" set
moovida-plugins-good_1.0.9+bzr1614-1ubuntu1_all.deb Moovida plugins from the "good" set
moovida-plugins-ugly_1.0.9+bzr1614-1ubuntu1_all.deb Moovida plugins from the "ugly" set
moovida_1.0.9+bzr1614-1.1build1_all.deb The Moovida media center application
mopac7-bin_1.15-4build1_amd64.deb Semi-empirical Quantum Chemistry Library (binaries)
mopd_2.5.3-21_amd64.deb Maintenance Operations Protocol loader daemon
moreutils_0.45_amd64.deb additional Unix utilities
moria_5.6-2_amd64.deb Rogue-like game with an infinite dungeon
morituri_0.1.2-1ubuntu1_all.deb CD ripper aiming for maximum quality
morla_0.16.1-1.1_amd64.deb GTK+ RDF editor
morse-x_20060903-0ubuntu1_amd64.deb morse "practicing" tool for X
moserial_3.0.1-0ubuntu2_amd64.deb A clean, friendly gtk-based serial terminal for the GNOME desktop
mosh_1.1.3-1_amd64.deb Mobile shell that supports roaming and intelligent local echo
mosquitto-clients_0.15-0ubuntu1_amd64.deb Mosquitto command line MQTT clients
mosquitto_0.15-0ubuntu1_amd64.deb MQTT version 3.1 compatible message broker
Advertisement
Advertisement